[Rainmeter]
Update=1000
AccurateText=1

ContextTitle=Toggle lock
ContextAction=[!Draggable -1]
ContextTitle2=Enable Always-on-top
ContextAction2=[!ZPos 2]
ContextTitle3=Disable Always-on-top
ContextAction3=[!ZPos -2]
ContextTitle4=Edit countdown
ContextAction4=[!EditSkin]
LeftMouseDoubleClickAction=[!EditSkin]

StopOnEnd=0

[Metadata]
Name=countdowntodate
Author=jerapiblaze
Information=countdown to anydate
Version=0.0.1
License=Creative Commons Attribution - Non - Commercial - Share Alike 3.0

[CurrentTime]
Measure=Time
Format=%H:%M:%S @ %d-%m-%Y

[TargetTime]
Measure=Time
TimeStamp=#target#
TimeStampFormat=%H:%M:%S @ %d-%m-%Y
Format=%Y.%m.%d @ %H:%M:%S

[RemainTimeCalc]
Measure=Calc
Formula=[TargetTime:Timestamp]-[CurrentTime:Timestamp]
DynamicVariables=1

IfCondition=(RemainTimeCalc < 0)
IfTrueAction=[!SetOption ShowLabel InlineSetting "Strikethrough"]
IfCondition2=(RemainTimeCalc <= 0) && (#StopOnEnd#)
IfTrueAction2=[!SetVariable Update -1][!SetOption RemainTime SecondsValue 0]

[RemainTime]
Measure=UpTime
SecondsValue=[RemainTimeCalc]
Format="%4!i!-%3!02i!:%2!02i!:%1!02i!"
RegExpSubstitute=1
DynamicVariables=1

[ShowRemain]
Meter=String
MeasureName=RemainTime
FontFace=Digital
X=320
Y=0
FontColor=#maincolor#
FontSize=#mainsize#
StringAlign=Right

[ShowTarget]
Meter=String
MeasureName=TargetTime
FontFace=Digital
X=r
Y=(#mainsize# *1.5-0.5*#subsize#)r
FontColor=#subcolor#
FontSize=#subsize#
StringAlign=Right

[ShowLabel]
Meter=String
FontFace=CaskaydiaCove Nerd Font
X=r
Y=(#mainsize#-0.45*#subsize#)r
Text=#label#
FontColor=#maincolor#
FontSize=#subsize#
StringAlign=Right